eoMergeReduce(3)

NAME
eoMergeReduce - eoMergeReduce: abstract replacement strategy that is just an application of an embedded merge, followed by an embedded reduce

SYNOPSIS

#include <eoMergeReduce.h>

Inherits eoReplacement< EOT >< EOT >.

Inherited by eoCommaReplacement< EOT >, eoEPReplacement< EOT >, and eoPlusReplacement< EOT >.

  Public Member Functions
eoMergeReduce (eoMerge< EOT > &_merge, eoReduce< EOT > &_reduce)
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoMerge< EOT > & merge
eoReduce< EOT > & reduce

Detailed Description

  template<class EOT> class eoMergeReduce< EOT >
eoMergeReduce: abstract replacement strategy that is just an application of an embedded merge, followed by an embedded reduce

Definition at line 50 of file eoMergeReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.